
From: Adrian Bunk <bunk@fs.tum.de>

I got the following build error in 2.6.0-test2:

<--  snip  -->

...
  LD      .tmp_vmlinux1
...
drivers/built-in.o(.init.text+0xdff5): In function `init_ipmi_kcs':
: undefined reference to `acpi_find_bmc'
make: *** [.tmp_vmlinux1] Error 1
$ grep ACPI .config
# Power management options (ACPI, APM)
# ACPI Support
CONFIG_ACPI=y
CONFIG_ACPI_HT_ONLY=y
$ 

<--  snip  -->

acpi_find_bmc is only available #ifdef CONFIG_ACPI_INTERPRETER.




 25-akpm/drivers/char/ipmi/ipmi_kcs_intf.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff -puN drivers/char/ipmi/ipmi_kcs_intf.c~impi-build-fix drivers/char/ipmi/ipmi_kcs_intf.c
--- 25/drivers/char/ipmi/ipmi_kcs_intf.c~impi-build-fix	Tue Jul 29 14:24:50 2003
+++ 25-akpm/drivers/char/ipmi/ipmi_kcs_intf.c	Tue Jul 29 14:24:50 2003
@@ -1016,7 +1016,7 @@ static int init_one_kcs(int kcs_port, 
 	return rv;
 }
 
-#ifdef CONFIG_ACPI
+#ifdef CONFIG_ACPI_INTERPRETER
 
 /* Retrieve the base physical address from ACPI tables.  Originally
    from Hewlett-Packard simple bmc.c, a GPL KCS driver. */
@@ -1072,7 +1072,7 @@ static __init int init_ipmi_kcs(void)
 	int		rv = 0;
 	int		pos = 0;
 	int		i = 0;
-#ifdef CONFIG_ACPI
+#ifdef CONFIG_ACPI_INTERPRETER
 	unsigned long	physaddr = 0;
 #endif
 
@@ -1102,7 +1102,7 @@ static __init int init_ipmi_kcs(void)
 	   (because they weren't already specified above). */
 
 	if (kcs_trydefaults) {
-#ifdef CONFIG_ACPI
+#ifdef CONFIG_ACPI_INTERPRETER
 		if ((physaddr = acpi_find_bmc())) {
 			if (!check_mem_region(physaddr, 2)) {
 				rv = init_one_kcs(0, 

_
